> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Customer Memory

> Resets stored memory associated with a specific customer's phone number for a given Pearl.



## OpenAPI

````yaml put /v2/Pearl/{pearlId}/ResetMemory
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v2/Pearl/{pearlId}/ResetMemory:
    put:
      tags:
        - Pearl
      summary: Reset Customer Memory
      description: >-
        Resets stored memory associated with a specific customer's phone number
        for a given Pearl.
      parameters:
        - name: pearlId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ResetMemoryRequest'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ResetMemoryRequest'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ResetMemoryRequest'
      responses:
        '200':
          description: Memory reset successful.
          content:
            text/plain:
              schema:
                type: boolean
            application/json:
              schema:
                type: boolean
            text/json:
              schema:
                type: boolean
        '400':
          description: Invalid input parameters.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
        '500':
          description: An internal server error occurred.
components:
  schemas:
    ResetMemoryRequest:
      type: object
      properties:
        phoneNumber:
          type: string
          nullable: true
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````